var search_data = {"index":{"searchIndex":["healthypools","error","poolshuttingdownerror","timedstack","wrapper","<<()","available()","checkin()","checkout()","connection_stored?()","delete()","empty?()","fetch_connection()","get_time()","length()","method_missing()","monotonic_time()","new()","new()","new()","pool_available()","pool_shutdown()","pool_size()","pop()","push()","respond_to?()","shutdown()","shutdown()","shutdown_connections()","size()","store_connection()","try_create()","with()","with()","wrap()"],"longSearchIndex":["healthypools","healthypools::error","healthypools::poolshuttingdownerror","healthypools::timedstack","healthypools::wrapper","healthypools::timedstack#<<()","healthypools#available()","healthypools#checkin()","healthypools#checkout()","healthypools::timedstack#connection_stored?()","healthypools::timedstack#delete()","healthypools::timedstack#empty?()","healthypools::timedstack#fetch_connection()","healthypools#get_time()","healthypools::timedstack#length()","healthypools::wrapper#method_missing()","healthypools::monotonic_time()","healthypools::new()","healthypools::timedstack::new()","healthypools::wrapper::new()","healthypools::wrapper#pool_available()","healthypools::wrapper#pool_shutdown()","healthypools::wrapper#pool_size()","healthypools::timedstack#pop()","healthypools::timedstack#push()","healthypools::wrapper#respond_to?()","healthypools#shutdown()","healthypools::timedstack#shutdown()","healthypools::timedstack#shutdown_connections()","healthypools#size()","healthypools::timedstack#store_connection()","healthypools::timedstack#try_create()","healthypools#with()","healthypools::wrapper#with()","healthypools::wrap()"],"info":[["HealthyPools","","HealthyPools.html","","<p>Generic connection pool class for e.g. sharing a limited number of network connections among many threads. …\n"],["HealthyPools::Error","","HealthyPools/Error.html","",""],["HealthyPools::PoolShuttingDownError","","HealthyPools/PoolShuttingDownError.html","","<p>Raised when you attempt to retrieve a connection from a pool that has been shut down.\n"],["HealthyPools::TimedStack","","HealthyPools/TimedStack.html","","<p>Examples:\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">ts</span> = <span class=\"ruby-constant\">TimedStack</span>.<span class=\"ruby-identifier\">new</span>(<span class=\"ruby-value\">1</span>) { <span class=\"ruby-constant\">MyConnection</span>.<span class=\"ruby-identifier\">new</span> }\n\n<span class=\"ruby-comment\"># fetch a connection</span>\n<span class=\"ruby-identifier\">conn</span> = <span class=\"ruby-identifier\">ts</span>.<span class=\"ruby-identifier\">pop</span>\n\n<span class=\"ruby-comment\"># return a ...</span>\n</pre>\n"],["HealthyPools::Wrapper","","HealthyPools/Wrapper.html","",""],["<<","HealthyPools::TimedStack","HealthyPools/TimedStack.html#method-i-3C-3C","(obj, options = {})",""],["available","HealthyPools","HealthyPools.html#method-i-available","()","<p>Number of pool entries available for checkout at this instant.\n"],["checkin","HealthyPools","HealthyPools.html#method-i-checkin","()",""],["checkout","HealthyPools","HealthyPools.html#method-i-checkout","(options = {})",""],["connection_stored?","HealthyPools::TimedStack","HealthyPools/TimedStack.html#method-i-connection_stored-3F","(options = nil)","<p>This is an extension point for TimedStack and is called with a mutex.\n<p>This method must returns true if …\n"],["delete","HealthyPools::TimedStack","HealthyPools/TimedStack.html#method-i-delete","(conn)","<p>Removes <code>conn</code> from the stack. This is useful if connections die or otherwise become stale.\n"],["empty?","HealthyPools::TimedStack","HealthyPools/TimedStack.html#method-i-empty-3F","()","<p>Returns <code>true</code> if there are no available connections.\n"],["fetch_connection","HealthyPools::TimedStack","HealthyPools/TimedStack.html#method-i-fetch_connection","(options = nil)","<p>This is an extension point for TimedStack and is called with a mutex.\n<p>This method must return a connection …\n"],["get_time","HealthyPools","HealthyPools.html#method-i-get_time","()","<p>@!visibility private\n"],["length","HealthyPools::TimedStack","HealthyPools/TimedStack.html#method-i-length","()","<p>The number of connections available on the stack.\n"],["method_missing","HealthyPools::Wrapper","HealthyPools/Wrapper.html#method-i-method_missing","(name, *args, &block)",""],["monotonic_time","HealthyPools","HealthyPools.html#method-c-monotonic_time","()","<p>Returns the current time a tracked by the application monotonic clock.\n<p>@return [Float] The current monotonic …\n"],["new","HealthyPools","HealthyPools.html#method-c-new","(options = {}, &block)",""],["new","HealthyPools::TimedStack","HealthyPools/TimedStack.html#method-c-new","(size = 0, health_check: nil, &block)","<p>Creates a new pool with <code>size</code> connections that are created from the given <code>block</code>.\n"],["new","HealthyPools::Wrapper","HealthyPools/Wrapper.html#method-c-new","(options = {}, &block)",""],["pool_available","HealthyPools::Wrapper","HealthyPools/Wrapper.html#method-i-pool_available","()",""],["pool_shutdown","HealthyPools::Wrapper","HealthyPools/Wrapper.html#method-i-pool_shutdown","(&block)",""],["pool_size","HealthyPools::Wrapper","HealthyPools/Wrapper.html#method-i-pool_size","()",""],["pop","HealthyPools::TimedStack","HealthyPools/TimedStack.html#method-i-pop","(timeout = 0.5, options = {})","<p>Retrieves a connection from the stack.  If a connection is available it is immediately returned.  If …\n"],["push","HealthyPools::TimedStack","HealthyPools/TimedStack.html#method-i-push","(obj, options = {})","<p>Returns <code>obj</code> to the stack.  <code>options</code> is ignored in TimedStack but may be used by subclasses that extend …\n"],["respond_to?","HealthyPools::Wrapper","HealthyPools/Wrapper.html#method-i-respond_to-3F","(id, *args)",""],["shutdown","HealthyPools","HealthyPools.html#method-i-shutdown","(&block)",""],["shutdown","HealthyPools::TimedStack","HealthyPools/TimedStack.html#method-i-shutdown","(&block)","<p>Shuts down the TimedStack which prevents connections from being checked out.  The <code>block</code> is called once …\n"],["shutdown_connections","HealthyPools::TimedStack","HealthyPools/TimedStack.html#method-i-shutdown_connections","(options = nil)","<p>This is an extension point for TimedStack and is called with a mutex.\n<p>This method must shut down all connections …\n"],["size","HealthyPools","HealthyPools.html#method-i-size","()","<p>Size of this connection pool\n"],["store_connection","HealthyPools::TimedStack","HealthyPools/TimedStack.html#method-i-store_connection","(obj, options = nil)","<p>This is an extension point for TimedStack and is called with a mutex.\n<p>This method must return <code>obj</code> to the …\n"],["try_create","HealthyPools::TimedStack","HealthyPools/TimedStack.html#method-i-try_create","(options = nil)","<p>This is an extension point for TimedStack and is called with a mutex.\n<p>This method must create a connection …\n"],["with","HealthyPools","HealthyPools.html#method-i-with","(options = {})","<p>MRI\n"],["with","HealthyPools::Wrapper","HealthyPools/Wrapper.html#method-i-with","(&block)",""],["wrap","HealthyPools","HealthyPools.html#method-c-wrap","(options, &block)",""]]}}